/*
    Copyright (C) 2005 - 2007 Mikael Hgdahl - dronten@gmail.com

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

package com.googlepages.dronten.jripper.gui.setup;

import com.googlepages.dronten.gui.ComponentFactory;
import com.googlepages.dronten.gui.setup.BaseSetupPanel;
import com.googlepages.dronten.jripper.Constants;
import com.googlepages.dronten.util.Pref;

import javax.swing.*;
import java.awt.*;


/**
 * Set cddb options (server and port and default method).
 */
public class CDDB extends BaseSetupPanel {
    private JComboBox aDefaultMethod = null;
    private JComboBox aCDDBPServer = null;
    private JComboBox aCDDBServer = null;
    private JTextField aEmail = null;
    private JTextField aCDDBPPort = null;
    private JTextField aCDDBPort = null;


    /**
     *
     */
    public CDDB() {
        String[] servers = Constants.CDDB_OPTIONS;
        String[] type = {"CDDB By http", "CDDB By CDDBP (cdda2av)"};

        aDefaultMethod = ComponentFactory.createCombo(type, Pref.getPref(Constants.CDDB_KEY, Constants.CDDB_DEFAULT), "Select default cddb access", 0, 0);
        aCDDBServer = ComponentFactory.createCombo(servers, Pref.getPref(Constants.CDDB_SERVER_KEY, Constants.CDDB_SERVER_DEFAULT), "Select server to retrieve record information from.", 0, 0);
        aCDDBPort = ComponentFactory.createInput(Pref.getPref(Constants.CDDB_PORT_KEY, Constants.CDDB_PORT_DEFAULT), "<html>Select cddb server port.<br>Default is 80.</html>", 0, 0);
        aCDDBPServer = ComponentFactory.createCombo(servers, Pref.getPref(Constants.CDDBP_SERVER_KEY, Constants.CDDBP_SERVER_DEFAULT), "Select server to retrieve record information from.", 0, 0);
        aCDDBPPort = ComponentFactory.createInput(Pref.getPref(Constants.CDDBP_PORT_KEY, Constants.CDDBP_PORT_DEFAULT), "<html>Select cddbp server port.<br>Default is 8880.</html>", 0, 0);
        aEmail = ComponentFactory.createInput(Pref.getPref(Constants.CDDB_EMAIL_KEY, Constants.CDDB_EMAIL_DEFAULT), "<html>Set your email adress.</html>", 0, 0);

        add(ComponentFactory.createTwoPanel(new JLabel("Set Access Method"), aDefaultMethod));
        add(Box.createRigidArea(new Dimension(0, 10)));
        add(ComponentFactory.createTwoPanel(new JLabel("CDDB Server"), aCDDBServer));
        add(Box.createRigidArea(new Dimension(0, 5)));
        add(ComponentFactory.createTwoPanel(new JLabel("CDDB Server Port"), aCDDBPort));
        add(Box.createRigidArea(new Dimension(0, 10)));
        add(ComponentFactory.createTwoPanel(new JLabel("CDDBP Server"), aCDDBPServer));
        add(Box.createRigidArea(new Dimension(0, 5)));
        add(ComponentFactory.createTwoPanel(new JLabel("CDDBP Server Port"), aCDDBPPort));
        add(Box.createRigidArea(new Dimension(0, 10)));
        add(ComponentFactory.createTwoPanel(new JLabel("Email"), aEmail));
    }


    /**
     * Save settings.
     */
    public void save() {
        Pref.setPref(Constants.CDDB_KEY, aDefaultMethod.getSelectedIndex());
        Pref.setPref(Constants.CDDB_SERVER_KEY, (String) aCDDBServer.getSelectedItem());
        Pref.setPref(Constants.CDDB_PORT_KEY, aCDDBPort.getText());
        Pref.setPref(Constants.CDDBP_SERVER_KEY, (String) aCDDBPServer.getSelectedItem());
        Pref.setPref(Constants.CDDBP_PORT_KEY, aCDDBPPort.getText());
        Pref.setPref(Constants.CDDB_EMAIL_KEY, aEmail.getText());
    }


}
