/*
    Copyright (C) 2005 - 2007 Mikael Hgdahl - dronten@gmail.com

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser BaseSetupPanel Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser BaseSetupPanel Public License for more details.

    You should have received a copy of the GNU Lesser BaseSetupPanel Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

package com.googlepages.dronten.jripper.music;


/**
 * A record id in cddb database.
 */
public class DiscID implements Comparable {
    public String aGenre = "";
    public String aDiscID = "";
    public String aRecord = "";


    public DiscID(String genre, String discID, String record) {
        aGenre = genre;
        aDiscID = discID.replaceAll("^0[xX]", "");
        aRecord = record;
    }


    public int compareTo(Object o) {
        return aRecord.compareToIgnoreCase(((DiscID) o).aRecord);
    }


    public String toString() {
        return String.format("%-20s%-15s%s", aGenre, aDiscID, aRecord);
    }
}
